Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.drools
Class ManagedWorkingMemory

    java.lang.Object
      org.jboss.seam.drools.ManagedWorkingMemory

All Implemented Interfaces:
  Serializable, Mutable

    @Scope(value=CONVERSATION)
    @Intercept(value=NEVER)
    public class ManagedWorkingMemory

extends Object
implements Mutable, Serializable

A conversation-scoped Drools WorkingMemory for a named RuleBase

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`ManagedWorkingMemory()`

Method Summary
`boolean` | `clearDirty()` Get and clear the dirty flag.
`void` | `destroy()`
`Expressions.ValueBinding<org.drools.RuleBase>` | `getRuleBase()`
`String` | `getRuleBaseName()` Deprecated.
`org.drools.WorkingMemory` | `getWorkingMemory()`
`void` | `setRuleBase(Expressions.ValueBinding<org.drools.RuleBase> ruleBase)`
`void` | `setRuleBaseName(String ruleBaseName)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedWorkingMemory

    public ManagedWorkingMemory()

Method Detail

### clearDirty

    public boolean clearDirty()

  Description copied from interface: `Mutable`
  Get and clear the dirty flag.

  Specified by:
    `clearDirty` in interface `Mutable`
  Returns:
    true if the instance is dirty and requires replication

### getRuleBaseName

    public String getRuleBaseName()

  Deprecated.

  The name of a Seam context variable holding an instance of org.drools.RuleBase

  Returns:
    a context variable name

### setRuleBaseName

    public void setRuleBaseName(String ruleBaseName)

  Deprecated.

  The name of a Seam context variable holding an instance of org.drools.RuleBase

  Parameters:
    `ruleBaseName` - a context variable name

### getWorkingMemory

    @Unwrap
    public org.drools.WorkingMemory getWorkingMemory()

### destroy

    @Destroy
    public void destroy()

### getRuleBase

    public Expressions.ValueBinding<org.drools.RuleBase> getRuleBase()

### setRuleBase

    public void setRuleBase(Expressions.ValueBinding<org.drools.RuleBase> ruleBase)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD